Update Topline Alert
Update Topline Alert
https://statsigapi.net/console/v1/alerts/{id}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Body
application/jsonnamestringName of the alert (4-100 characters)
min length: 4max length: 100messagestringAlert message shown when the alert fires
alertThresholdnumberThreshold value that triggers the alert
format: doublewarningThresholdnumberOptional warning threshold value. Pass null to clear.
format: doublenullableformulastringFormula expression. Pass null to clear.
nullablewindowMsnumberHow far back and how frequently a metric should be checked, in milliseconds. Must be between 60_000 and 30 days.
format: doublemin: 60000max: 2592000000conditionstringCondition under which a metric change triggers an alert
greatergreater_or_equallessless_or_equalequalnot_equalprioritystringAlert priority
P1P2P3P4renotificationConditionsstring[]Conditions under which a re-notification is sent. Pass null to clear.
nullablerenotificationWindowMsnumberHow long to wait before re-notifying, in ms
format: doubleevaluationDelayMsnumberDelay before evaluating metrics, in milliseconds. Pass 0 to clear.
format: doublemin: 0max: 2592000000renotificationMessagestringRe-notification message
teamIDstringID of the team that owns this alert. Pass null to clear.
nullableownerobjectSchema for owner data including ID, type, name.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableShow child attributes
ownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
definitionMetricsJsonstring[]JSON-encoded metric definitions evaluated by the alert. Each entry is a stringified ToplineAlertMExDefinitionOrUnresolved. When omitted, existing definitions are preserved. Pass an empty array to clear all metrics.
groupBysobject[]Properties to group the alert metrics by. When omitted, existing group-bys are preserved. Pass an empty array to clear all group-bys.
Show child attributes
columnstringrequiredProperty column to group by
keystringrequiredProperty key to group by
tagsstring[]Tags to attach to the alert. When omitted, existing tags are preserved. Pass an empty array to clear all tags.
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
idstringrequiredID of the alert
namestringrequiredName of the alert
alertTypestringrequiredType of alert
thresholdchangepct_changemetricsobjectrequiredList of metrics associated with this alert
metricGroupBysobjectrequiredMetric groupbys
formulastringFormula for the alert
messagestringrequiredAlert message
creatorIDstringcompanyIDstringrequiredprioritystringrequiredPriority of this alert
P0P1P2P3P4P5alertThresholdnumberrequiredformat: doublewarningThresholdnumberformat: doublewindowMsnumberrequiredHow far back and how frequently a metric should be checked, in milliseconds
format: doubleevaluationDelayMsnumberDelay before evaluating metrics, in milliseconds. Use 0 or null to clear.
format: doublenullableconditionstringrequiredCondition under which a metric change triggers an alert in milliseconds
greatergreater_or_equallessless_or_equalequalnot_equalrenotificationConditionsstring[]Condition under which a re-notification is sent
renotificationWindowMsnumberHow long to wait before re-notifying in milliseconds
format: doublerenotificationMessagestringRe-notification message
teamstringTeam associated with this alert
nullableownerobjectSchema for owner data including ID, type, name.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
tagsstring[]requiredTags associated with this alert
statusstringrequiredCurrent evaluation status of the alert
alertsetup_incompletestablewarnnullablelastTriggeredTimenumberrequiredTimestamp in milliseconds of the last time this alert triggered
format: doublenullableactiveMuteSchedulesobject[]requiredActive v2 mute schedules for this alert, for use as currentSchedule when remuting
startnumberrequiredMute schedule start timestamp in seconds
endnumberrequiredMute schedule end timestamp in seconds (0 means indefinite)
groupBysobject[]requiredGroup-by values covered by this mute schedule (empty means whole alert)
keystringrequiredGroup-by property key
valuestringrequiredGroup-by value to mute
statusnumberrequired403messagestringrequiredForbidden resourcestatusintegerrequired404messagestringrequiredWas this helpful?